#pragma once
#include "fs/VFS.h"

namespace KeyboardDevice
{
    VFS::Node* create_new(const char* devname);

    ssize_t read(VFS::Node* node, size_t offset, size_t size, char* buffer);

    int would_block(VFS::Node* node);

    void append(char c);
}